JsonCpp project page | Classes | Namespace | JsonCpp home page

Namespaces | Macros | Functions | Variables
json_value.cpp File Reference
`#include <json/assertions.h>`
`#include <json/value.h>`
`#include <json/writer.h>`
`#include <cassert>`
`#include <cmath>`
`#include <cstring>`
`#include <sstream>`
`#include <utility>`
`#include <algorithm>`
`#include <cstddef>`
`#include <stdarg.h>`
`#include "json_valueiterator.inl"`
Include dependency graph for json_value.cpp:

Go to the source code of this file.

## Namespaces
| Json
| JSON (JavaScript Object Notation).

## Macros
#define | JSON_ASSERT_UNREACHABLE assert(false)
#define | ALIGNAS(byte_alignment)

## Functions
static int | msvc_pre1900_c99_vsnprintf (char *outBuf, size_t size, const char *format, va_list ap)
int | msvc_pre1900_c99_snprintf (char *outBuf, size_t size, const char *format,...)
template<typename T >
static std::unique_ptr< T > | Json::cloneUnique (const std::unique_ptr< T > &p)
template<typename T , typename U >
static bool | Json::InRange (double d, T min, U max)
static char * | Json::duplicateStringValue (const char *value, size_t length)
| Duplicates the specified string value. More...
static char * | Json::duplicateAndPrefixStringValue (const char *value, unsigned int length)
static void | Json::decodePrefixedString (bool isPrefixed, char const *prefixed, unsigned *length, char const **value)
static void | Json::releasePrefixedStringValue (char *value)
| Free the string duplicated by duplicateStringValue()/duplicateAndPrefixStringValue(). More...
static void | Json::releaseStringValue (char *value, unsigned)
void | Json::throwRuntimeError (String const &msg)
| used internally More...
void | Json::throwLogicError (String const &msg)
| used internally More...
static bool | Json::IsIntegral (double d)

## Variables
static const double | Json::maxUInt64AsDouble = 18446744073709551615.0

## Macro Definition Documentation

## ◆ ALIGNAS

#define ALIGNAS | ( |  | byte_alignment | ) |

Definition at line 72 of file json_value.cpp.

## ◆ JSON_ASSERT_UNREACHABLE

#define JSON_ASSERT_UNREACHABLE assert(false)

Definition at line 54 of file json_value.cpp.

## Function Documentation

## ◆ msvc_pre1900_c99_snprintf()

int msvc_pre1900_c99_snprintf | ( | char * | outBuf,
|  | size_t | size,
|  | const char * | format,
|  |  | ...
| ) |  |

Definition at line 37 of file json_value.cpp.

References msvc_pre1900_c99_vsnprintf().

## ◆ msvc_pre1900_c99_vsnprintf()

static int msvc_pre1900_c99_vsnprintf | ( | char * | outBuf,
|  | size_t | size,
|  | const char * | format,
|  | va_list | ap
| ) |  |
| static

Definition at line 25 of file json_value.cpp.

Referenced by msvc_pre1900_c99_snprintf().

Here is the caller graph for this function: